to compile conntrack-tools a number of dependencies is needed. This is the
first patch in a series of five.
---
 gnu/packages/linux.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 12cb39ff9b..81681858f8 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -6732,3 +6732,33 @@ utilities.  Using @code{kexec}, it is possible to boot directly into a new
 kernel from the context of an already-running kernel, bypassing the normal
 system boot process.")
     (license license:gpl2)))
+
+(define-public libnetfilter_conntrack
+    (package
+    (name "libnetfilter_conntrack")
+    (version "1.0.8")
+    (source
+       (origin
+	 (method url-fetch)
+	 (uri (string-append "https://netfilter.org/projects/"
+			     "libnetfilter_conntrack/files/"
+			     "libnetfilter_conntrack-"
+			     version ".tar.bz2"))
+	 (sha256
+	  (base32
+	   "1ky1mqgnplw2h9jf0kn0a69d94jkydhbiipng9l2hdcj13h3pl8c"))))
+    (build-system gnu-build-system)
+    (native-inputs
+     `(("libnfnetlink" ,libnfnetlink)
+       ("libmnl" ,libmnl)
+       ("pkg-config" ,pkg-config)))
+    (synopsis "userspace library for in kernel netfilter infrastructure and
+state")
+    (description "libnetfilter_conntrack is a userspace library providing a
+programming interface (API) to the in-kernel connection tracking state table.
+The library libnetfilter_conntrack has been previously known as
+libnfnetlink_conntrack and libctnetlink. This library is currently used by
+conntrack-tools among many other applications.")
+    (home-page (string-append "https://netfilter.org/projects/"
+			      "libnetfilter_conntrack/index.html"))
+    (license license:gpl2+)))
-- 
2.26.2

